Import tasks from Shotgun. The route imports only the tasks that have a step and a project. Send a JSON list of Shotgun rows. A task that exists in Kitsu, with the same Shotgun identifier or the same name, project, step and entity, is updated. Else, it is created. A row with an assignee that is not in Kitsu is skipped. A row that misses a field is skipped. You must be an administrator.
POST
/import/shotgun/tasks
curl
curl -X POST "http://api.example.com/import/shotgun/tasks" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '[
{
"id": 12345,
"cached_display_name": "Modeling for Asset",
"start_date": "2024-01-15",
"due_date": "2024-02-15",
"sg_sort_order": 1,
"duration": 30,
"step": {
"id": 11111
},
"project": {
"id": 22222
},
"entity": {
"id": 33333,
"type": "Asset"
},
"sg_status_list": "IP",
"created_by": {
"id": 44444
},
"task_assignees": [
{
"id": 55555
}
]
}
]'
import requests
url = "http://api.example.com/import/shotgun/tasks"
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json",
"Content-Type": "application/json"
}
params = {}
payload = [
{
"id": 12345,
"cached_display_name": "Modeling for Asset",
"start_date": "2024-01-15",
"due_date": "2024-02-15",
"sg_sort_order": 1,
"duration": 30,
"step": {
"id": 11111
},
"project": {
"id": 22222
},
"entity": {
"id": 33333,
"type": "Asset"
},
"sg_status_list": "IP",
"created_by": {
"id": 44444
},
"task_assignees": [
{
"id": 55555
}
]
}
]
response = requests.post(
url,
headers=headers,
params=params,
json=payload
)
response.raise_for_status()
if response.content:
print(response.json())
Request example
[
{
"id": 12345,
"cached_display_name": "Modeling for Asset",
"start_date": "2024-01-15",
"due_date": "2024-02-15",
"sg_sort_order": 1,
"duration": 30,
"step": {
"id": 11111
},
"project": {
"id": 22222
},
"entity": {
"id": 33333,
"type": "Asset"
},
"sg_status_list": "IP",
"created_by": {
"id": 44444
},
"task_assignees": [
{
"id": 55555
}
]
}
]
Response examples (200)
[
{
"id": "a24a6ea4-ce75-4665-a070-57453082c250",
"name": "Modeling for Asset",
"start_date": "2024-01-15",
"due_date": "2024-02-15",
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T11:00:00Z"
}
]